DROP TABLE IF EXISTS users;
DROP TABLE IF EXISTS events;
DROP TABLE IF EXISTS projects;

CREATE TABLE users (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  username TEXT UNIQUE NOT NULL,
  password TEXT NOT NULL
);

CREATE TABLE events (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  title TEXT NOT NULL,
  date DATE NOT NULL,
  date_end DATE,
  is_private BOOLEAN NOT NULL DEFAULT true,
  description TEXT NOT NULL,
  project_id INTEGER,
  FOREIGN KEY (project_id) REFERENCES projects (id)
);

CREATE TABLE projects (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  name TEXT NOT NULL,
  is_private BOOLEAN NOT NULL DEFAULT true,
  responsible TEXT NOT NULL,
  description TEXT NOT NULL
);
